#region Copyright Syncfusion Inc. 2001 - 2013
// Copyright Syncfusion Inc. 2001 - 2013. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Syncfusion.Windows.Controls.Grid;
using Syncfusion.Windows.Shared;
using Syncfusion.Windows.Controls.Cells;

namespace CellEditorsDemo
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="MainWindow"/> class.
        /// </summary>
        public MainWindow()
        {
            InitializeComponent();
            this.treeGrid.Loaded += treeGrid_Loaded;
        }

        void treeGrid_Loaded(object sender, RoutedEventArgs e)
        {
            var Node = treeGrid.InternalGrid.Nodes.FirstOrDefault(node => (node.Item as EmployeeInfo).EmpID == 1005);
            if (Node == null)
                return;
            Node.IsSelected = true;
            treeGrid.InternalGrid.SelectedNodes.Add(Node);
        }

      
    }
}